Subject: Re: bug#46574: cperl-mode: Improve detection of entries for imenu [PATCH]

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 17 Feb 2021 00:56:56 +0100

[email-masked] (Harald Jörg) writes:

> I've reviewed Stefan's changes now.  There is definitely no conflict and
> the patch can be applied regardless of the offset.  The offset mainly
> came with 24a98755 (Feb 13), where Stefan eliminated a length of
> obsolete documentation.

Thanks for checking; I've now applied your patch to Emacs 28.

> BTW: Stefan's cleanup work is great here.

Yup.

> I've always wanted to start working on this but I am not confident
> enough.  I don't know enough about the histories of (X)Emacs and
> CPerl-mode.

I'm a bit vague about the history of the mode, too, but it's OK to rip
out all XEmacs compat code (and compat code with Emacs < 26.1, I think).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no